com.mxgraph.view

## Class mxEdgeStyle

- java.lang.Object
- - com.mxgraph.view.mxEdgeStyle

-     public class mxEdgeStyle
      extends java.lang.Object

  Provides various edge styles to be used as the values for mxConstants.STYLE_EDGE in a cell style. Alternatevly, the mxConstants. EDGESTYLE_* constants can be used to reference an edge style via the mxStyleRegistry.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `mxEdgeStyle.mxEdgeStyleFunction` Defines the requirements for an edge style function.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOTTOM`
    `static int` | `BOTTOM_MASK`
    `static int` | `CENTER_MASK`
    `static double[][]` | `dirVectors`
    `static mxEdgeStyle.mxEdgeStyleFunction` | `ElbowConnector` Uses either SideToSide or TopToBottom depending on the horizontal flag in the cell style.
    `static mxEdgeStyle.mxEdgeStyleFunction` | `EntityRelation` Provides an entity relation style for edges (as used in database schema diagrams).
    `static double` | `hozBendProportion`
    `static int[][][]` | `inlineRoutePatterns` Overriden routing patterns for orthogonal connections where the vertices have
    `static int` | `LEFT`
    `static int` | `LEFT_MASK`
    `static double[][]` | `limits`
    `static mxEdgeStyle.mxEdgeStyleFunction` | `Loop` Provides a self-reference, aka.
    `static double` | `orthBuffer`
    `static mxEdgeStyle.mxEdgeStyleFunction` | `OrthConnector` An orthogonal connector that avoids connecting vertices and respects port constraints
    `static int` | `RIGHT`
    `static int` | `RIGHT_MASK`
    `static int[][][]` | `routePatterns` The default routing patterns for orthogonal connections
    `static mxEdgeStyle.mxEdgeStyleFunction` | `SegmentConnector` Implements an orthogonal edge style.
    `static int` | `SIDE_MASK`
    `static mxEdgeStyle.mxEdgeStyleFunction` | `SideToSide` Provides a vertical elbow edge.
    `static int` | `SOURCE_MASK`
    `static int` | `TARGET_MASK`
    `static int` | `TOP`
    `static int` | `TOP_MASK`
    `static mxEdgeStyle.mxEdgeStyleFunction` | `TopToBottom` Provides a horizontal elbow edge.
    `static double` | `vertBendProportion`
    `static int` | `VERTEX_MASK`
    `static double[]` | `vertexSeperations`
    `static double[][]` | `wayPoints1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxEdgeStyle()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EntityRelation

          public static mxEdgeStyle.mxEdgeStyleFunction EntityRelation

      Provides an entity relation style for edges (as used in database schema diagrams).

    - #### Loop

          public static mxEdgeStyle.mxEdgeStyleFunction Loop

      Provides a self-reference, aka. loop.

    - #### ElbowConnector

          public static mxEdgeStyle.mxEdgeStyleFunction ElbowConnector

      Uses either SideToSide or TopToBottom depending on the horizontal flag in the cell style. SideToSide is used if horizontal is true or unspecified.

    - #### SideToSide

          public static mxEdgeStyle.mxEdgeStyleFunction SideToSide

      Provides a vertical elbow edge.

    - #### TopToBottom

          public static mxEdgeStyle.mxEdgeStyleFunction TopToBottom

      Provides a horizontal elbow edge.

    - #### SegmentConnector

          public static mxEdgeStyle.mxEdgeStyleFunction SegmentConnector

      Implements an orthogonal edge style. Use as an interactive handler for this style.

    - #### orthBuffer

          public static double orthBuffer

    - #### dirVectors

          public static double[][] dirVectors

    - #### wayPoints1

          public static double[][] wayPoints1

    - #### routePatterns

          public static int[][][] routePatterns

      The default routing patterns for orthogonal connections

    - #### inlineRoutePatterns

          public static int[][][] inlineRoutePatterns

      Overriden routing patterns for orthogonal connections where the vertices have

    - #### vertexSeperations

          public static double[] vertexSeperations

    - #### limits

          public static double[][] limits

    - #### LEFT_MASK

          public static int LEFT_MASK

    - #### TOP_MASK

          public static int TOP_MASK

    - #### RIGHT_MASK

          public static int RIGHT_MASK

    - #### BOTTOM_MASK

          public static int BOTTOM_MASK

    - #### LEFT

          public static int LEFT

    - #### TOP

          public static int TOP

    - #### RIGHT

          public static int RIGHT

    - #### BOTTOM

          public static int BOTTOM

    - #### SIDE_MASK

          public static int SIDE_MASK

    - #### CENTER_MASK

          public static int CENTER_MASK

    - #### SOURCE_MASK

          public static int SOURCE_MASK

    - #### TARGET_MASK

          public static int TARGET_MASK

    - #### VERTEX_MASK

          public static int VERTEX_MASK

    - #### vertBendProportion

          public static double vertBendProportion

    - #### hozBendProportion

          public static double hozBendProportion

    - #### OrthConnector

          public static mxEdgeStyle.mxEdgeStyleFunction OrthConnector

      An orthogonal connector that avoids connecting vertices and respects port constraints

  - ### Constructor Detail

    - #### mxEdgeStyle

          public mxEdgeStyle()

Copyright (c) 2010 Gaudenz Alder. All rights reserved.